<div class="p-2">
  <p-breadcrumb [home]="{ icon: 'pi pi-home', label: ' Versiones taquigráficas', routerLink: '/v-taquigraficas' }"
    [model]="[
    { icon: 'pi pi-video', label: sesion, routerLink: isAsunto ?'../../': '../',queryParams: isView?{visualizar:true}:{} },
    { icon: 'pi pi-book', label: ' Asuntos abordados', routerLink: './',queryParams: isView?{visualizar:true}:{} }
    ]">
  </p-breadcrumb>
</div>
<form novalidate>
  <div class="card p-3">

    <div class="d-flex justify-content-between mt-2">
      <a routerLink="{{isAsunto ?'../../': '../'}}" [queryParams]="isView?{visualizar:true}:{}">
        <p-button styleClass="p-button-sm back" label="Volver"></p-button>
      </a>
    </div>


    <div class="form-row">
      <div class="col-12 d-flex">
        <div class="d-flex">
          <label>¿Es acumulada?</label>
          <p-inputSwitch id="acumulada" name="acumulada" tabindex="1" [(ngModel)]="asuntoAbordado.asunto.acumulada">
          </p-inputSwitch>
        </div>
        <div class="d-flex ml-4">
          <label>CA</label>
          <p-inputSwitch [(ngModel)]="asuntoAbordado.asunto.ca" id="ca" tabindex="2" name="ca"></p-inputSwitch>
        </div>
      </div>
      <div class="col-6 relative">
        <label for="">Asuntos abordado:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" [options]="catalogos.asuntoAbordado" optionLabel="nombre"
          [filter]="true" filterBy="nombre" [showClear]="true" optionValue="nombre" name="asuntoAbor" id="asuntoAbor"
          [(ngModel)]="asuntoAbordado.asunto.asuntoAbordado" [styleClass]="requerid.asunto?'invalid w-100':'w-100'"
          placeholder="Escriba o seleccione el asunto abordado">
        </p-dropdown>
      </div>
      <div class="col-6 relative">
        <label for="">Número de expediente:</label>
        <input type="text" class="form-control" tabindex="4" placeholder="Escriba el número de expediente"
          autocomplete="off" id="expediente" name="expediente" [(ngModel)]="asuntoAbordado.asunto.numeroExpediente"
          [ngClass]="{'invalid': requerid.expediente}" [disabled]="camposRestricted.includes('numeroExpediente')">
        <i *ngIf="asuntoAbordado.asunto.numeroExpediente" class="pi pi-times clear-autocomplete"
          (click)="asuntoAbordado.asunto.numeroExpediente = ''"></i>
      </div>
      <div class="col-12" *ngIf="asuntoAbordado.asunto.acumulada">
        <label> Número de expedientes acumuladas:</label>
        <div class="list acumulado p-3">
          <div class="list-item-rubro" *ngFor="let acumulado of asuntoAbordado.vt_asuntos.acumulados; let i = index;">
            <div class="list-options">
              <i class="pi pi-trash c-del" [ngClass]="{ 'not-avaliable': indexOfAcumulado >= 0, 'collapse':isView }"
                (click)="asuntoAbordado.vt_asuntos.acumulados.splice(i,1)"></i>
              <i [ngClass]="{'collapse':isView}" class="pi pi-pencil" (click)="editAcumulado(acumulado,i)"></i>
            </div>
            <p class="item-rubro">{{(i+1) + '. ' + acumulado}}</p>
          </div>
        </div>
        <div class="d-flex mt-3">
          <input type="text" class="form-control" placeholder="Ingrese el número de expediente acumulado" name="expAC"
            id="expAC" tabindex="5" [(ngModel)]="acumulado" [ngClass]="{'invalid': requerid.expedienteAC}"
            autocomplete="off">
          <p-button [ngClass]="{'collapse':isView}" class="ml-2" icon="pi pi-plus"
            (onClick)="indexOfAcumulado == -1?addAcumulado():updateAcumulado() ">
          </p-button>
          <p-button [ngClass]="{'collapse':isView}" *ngIf="indexOfAcumulado >= 0" class="ml-2" icon="pi pi-times"
            label="Cancelar" (onClick)="cancelAcumulado()">
          </p-button>
        </div>
      </div>
      <div class="col-12 relative">
        <label for="">Ponente:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" [options]="catalogos.ministros" optionLabel="nombre"
          [filter]="true" filterBy="nombre" [showClear]="true" optionValue="nombre" id="presidente" name="presidente"
          placeholder="Escriba o seleccione el ponente" autocomplete="off"
          [(ngModel)]="asuntoAbordado.vt_asuntos.ponente" [disabled]="camposRestricted.includes('ponente')"
          [styleClass]="requerid.ponente?'invalid w-100':'w-100'">
        </p-dropdown>
      </div>
    </div>
  </div>
  <div class="card p-3">

    <div class="form-row">
      <div class="col-12">
        <label for="">Temas procesales ({{asuntoAbordado.vt_asuntos.temasProcesales.length}}):</label>
        <p-orderList (onReorder)="saveTemaProcesal()" [value]="asuntoAbordado.vt_asuntos.temasProcesales"
          [trackBy]="trackBy" [listStyle]="{'max-height':'20rem'}" [dragdrop]="true">
          <ng-template let-tema pTemplate="item" let-i="index" ;>
            <div class="row">
              <div class="col-11">
                <p>{{ (i+1 | convertRomano) + '. '+ tema }}</p>
              </div>
              <div class="col-1 relative" style="z-index: 9;">
                <div class="d-flex justify-content-around align-items-center">
                  <i class="pi pi-angle-double-down moved" (click)="movedToFondo($event,i,tema)"
                    [ngClass]="{'not-avaliable': indexOfProcesal >= 0,'collapse':isView}"
                    pTooltip="Mover a temas de fondo" tooltipPosition="left"></i>
                  <i class="pi pi-trash c-del" [ngClass]="{'not-avaliable': indexOfProcesal >= 0,'collapse': isView}"
                    (click)="deleteTemaProcesal(i,$event,tema)"></i>
                  <i [ngClass]="{'collapse':isView}" class="pi pi-pencil" (click)="setTemaProcesal(tema,i)"></i>
                </div>
              </div>
            </div>
          </ng-template>
        </p-orderList>
        <div class="d-flex flex-column align-items-start mt-2">
          <textarea name="procesal" tabindex="7" id="procesal" placeholder="Escribe aquí los temas procesales..."
            cols="10" rows="4" class="form-control" [(ngModel)]="procesal"></textarea>
          <div class="d-flex">
            <p-button [ngClass]="{'collapse':isView}" icon="pi pi-book" class="mt-2"
              [label]="indexOfProcesal == -1 ?'Agregar tema procesal': 'Actualizar tema procesal'"
              (onClick)="indexOfProcesal == -1 ? addTemaProcesal() : updateTemaProcesal()">
            </p-button>
            <p-button [ngClass]="{'collapse':isView}" *ngIf="indexOfProcesal >= 0" styleClass="p-button-sm ml-2 mt-2"
              icon="pi pi-times" label="Cancelar" (onClick)="cancelTema('procesal')">
            </p-button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="card p-3">

    <div class="form-row">
      <div class="col-12">
        <label for="">Temas de fondo ({{asuntoAbordado.vt_asuntos.temasFondo.length}}):</label>
        <p-orderList (onReorder)="saveTemaFondo()" [value]="asuntoAbordado.vt_asuntos.temasFondo"
          [listStyle]="{'max-height':'20rem'}" [dragdrop]="true">
          <ng-template let-tema pTemplate="item" let-i="index" ;>
            <div class="row">
              <div class="col-11">
                <p>{{ (i+1 | convertRomano) + '. '+ tema }}</p>
              </div>
              <div class="col-1 relative" style="z-index: 9;">
                <div class="d-flex justify-content-around align-items-center">
                  <i class="pi pi-angle-double-up moved" (click)="movedToProcesal($event,i,tema)"
                    [ngClass]="{'not-avaliable': indexOfFondo >= 0,'collapse':isView}"
                    pTooltip="Mover a temas procesales" tooltipPosition="left"></i>
                  <i class="pi pi-trash c-del" [ngClass]="{'not-avaliable': indexOfFondo >= 0,'collapse': isView}"
                    (click)="deleteTemaFondo(i,$event,tema)"></i>
                  <i [ngClass]="{'collapse':isView}" class="pi pi-pencil" (click)="setTemaFondo(tema,i)"></i>
                </div>
              </div>
            </div>
          </ng-template>
        </p-orderList>
        <div class="d-flex flex-column align-items-start mt-2">
          <textarea name="fondo" tabindex="8" id="fondo" placeholder="Escribe aquí los temas de fondo..." cols="10"
            rows="4" class="form-control" [(ngModel)]="fondo"></textarea>
          <div class="d-flex">
            <p-button [ngClass]="{'collapse':isView}" icon="pi pi-book" class="mt-2"
              [label]="indexOfFondo == -1 ?'Agregar tema fondo': 'Actualizar tema fondo'"
              (onClick)="indexOfFondo == -1 ? addTemaFondo() : updateTemaFondo()">
            </p-button>
            <p-button [ngClass]="{'collapse':isView}" *ngIf="indexOfFondo >= 0" styleClass="p-button-sm ml-2 mt-2"
              icon="pi pi-times" label="Cancelar" (onClick)="cancelTema('fondo')">
            </p-button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="card p-3">

    <div class="form-row">
      <div class="col-12" id="list-ministros">
        <label class="m-2">Número de participaciones de cada Ministra o Ministro por asunto visto en la
          sesión:</label>
        <div class="list participacion p-2">
          <div class="d-flex align-items-center justify-content-between"
            *ngFor="let ministro of asuntoAbordado.vt_asuntos.numeroMinistrosParticiparonEnAsunto; let i = index">
            <div class="col-8">
              <p>{{ ministro.nombre }}</p>
            </div>
            <div class="col-4">
              <input type="number" tabindex="9" [name]="'min'+i" [id]="'min'+i" [value]="ministro.cantidad"
                [(ngModel)]="ministro.cantidad" class="form-control">
            </div>
          </div>
        </div>
      </div>
      <div class=" col-12 d-flex justify-content-end">
        <p-button [ngClass]="{'collapse':isView}" styleClass="p-button-sm"
          [label]="isEditAsunto? 'Actualizar asunto' : 'Agregar asunto'" [icon]="isEditAsunto?'pi pi-book':'pi pi-save'"
          (onClick)="isEditAsunto? updateAsunto() :addAsunto()">
        </p-button>
      </div>
    </div>



    <div class="d-flex justify-content-between mt-2">
      <a routerLink="{{isAsunto ?'../../': '../'}}" [queryParams]="isView?{visualizar:true}:{}">
        <p-button styleClass="p-button-sm back" label="Volver"></p-button>
      </a>
    </div>
  </div>
</form>
<p-confirmPopup></p-confirmPopup>
